package ac.essex.ooechs.treeanimator;

import ac.essex.ooechs.treeanimator.examples.DecisionTree;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Created by IntelliJ IDEA.
 * User: Olly
 * Date: 24-Jun-2007
 * Time: 20:00:23
 * To change this template use File | Settings | File Templates.
 */
public class TreeFrame extends JFrame {

    public static void main(String[] args) {
        new TreeFrame(new DecisionTree());
    }

    public TreeFrame(AnimatedNode tree) {

        TreeDisplayPanel treePanel = new TreeDisplayPanel(tree, 640, 480);
        getContentPane().add(treePanel);

        setTitle("View Tree");
        setSize(640, 480);
        setVisible(true);

        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                dispose();
            }
        });

    }

}
